#!/bin/sh
#120824 rerwin: 
# This package contains the original usb-modeswitch package created by "new2dir make install" (except for files stored into the source directory by the "install" operation) and edit commands to tailor it for puppy linux, during pet-package installation.

# Ensure that the original components are modified per the following by BK:
# 1. Modifies /etc/usb_modeswitch.conf: turn on logging, needed by /usr/sbin/usb_modeswitch_status.
grep -q 'EnableLogging=1' etc/usb_modeswitch.conf \
 || sed -i \
     -e 's/EnableLogging=./EnableLogging=1/' \
     etc/usb_modeswitch.conf
# 2. Modifies /lib/udev/usb_modeswitch: insert line to call /usr/sbin/usb_modeswitch_status.
grep -q 'usb_modeswitch_status' lib/udev/usb_modeswitch \
 || sed -i \
     -e 's/device_in()/# 120816 BK patched.\n&/' \
     -e 's%exec usb_modeswitch_dispatcher --switch-mode%[ "`/bin/pidof usb_modeswitch_status`" = "" ] \&\& /usr/sbin/usb_modeswitch_status \& #110302 BK 110806 RE\n\t\t&%' \
     lib/udev/usb_modeswitch

# Convert the original usb_modeswitch.1 man page to usb_modeswitch.htm in /usr/share/doc, using man2html, then remove the man page and its directories added by the original install.
man2html usr/share/man/man1/usb_modeswitch.1 > usr/share/doc/usb_modeswitch.htm
rm -f usr/share/man/man1/usb_modeswitch.1
rmdir usr/share/man/man1 2> /dev/null
rmdir usr/share/man 2> /dev/null

#120824 BK: create these dirs...
mkdir -p var/lib/usb_modeswitch
mkdir -p var/log
